Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_Memento

    java.lang.Object
      com.tonbeller.jpivot.olap.query.Memento
          com.tonbeller.jpivot.xmla.XMLA_Memento

All Implemented Interfaces:
  java.io.Serializable

    public class XMLA_Memento

extends Memento
implements java.io.Serializable

Java Bean object to hold the state of an XMLA MDX session. Contains parts of XMLA_Model and subordinate objects.

See Also:
  Serialized Form

Constructor Summary
`XMLA_Memento()`

Method Summary
`java.util.Map` | `getCalcMeasurePropMap()`
`java.lang.String` | `getCatalog()`
`java.lang.String` | `getDataSource()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUri()`
`java.lang.String` | `getUser()`
`int` | `getVersion()`
`void` | `setCalcMeasurePropMap(java.util.Map map)`
`void` | `setCatalog(java.lang.String string)`
`void` | `setDataSource(java.lang.String string)`
`void` | `setPassword(java.lang.String string)`
`void` | `setUri(java.lang.String string)`
`void` | `setUser(java.lang.String string)`
`void` | `setVersion(int i)`

Methods inherited from class com.tonbeller.jpivot.olap.query.Memento
`getMdxQuery, getQuaxes, getQuaxToSort, getSortMode, getSortPosMembers, getTopBottomCount, isAxesSwapped, isSorting, isUseQuax, setAxesSwapped, setMdxQuery, setQuaxes, setQuaxToSort, setSorting, setSortMode, setSortPosMembers, setTopBottomCount, setUseQuax`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_Memento

    public XMLA_Memento()

Method Detail

### getDataSource

    public java.lang.String getDataSource()

  Returns:

### getPassword

    public java.lang.String getPassword()

  Returns:

### getUri

    public java.lang.String getUri()

  Returns:

### getUser

    public java.lang.String getUser()

  Returns:

### setDataSource

    public void setDataSource(java.lang.String string)

  Parameters:
    `string` -

### setPassword

    public void setPassword(java.lang.String string)

  Parameters:
    `string` -

### setUri

    public void setUri(java.lang.String string)

  Parameters:
    `string` -

### setUser

    public void setUser(java.lang.String string)

  Parameters:
    `string` -

### getVersion

    public int getVersion()

  Specified by:
    `getVersion` in class `Memento`
  Returns:

### setVersion

    public void setVersion(int i)

  Specified by:
    `setVersion` in class `Memento`
  Parameters:
    `i` -

### getCatalog

    public java.lang.String getCatalog()

  Returns:

### setCatalog

    public void setCatalog(java.lang.String string)

  Parameters:
    `string` -

### getCalcMeasurePropMap

    public java.util.Map getCalcMeasurePropMap()

  Returns:

### setCalcMeasurePropMap

    public void setCalcMeasurePropMap(java.util.Map map)

  Parameters:
    `map` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD